/*
*------------------------
*  LOGIN-ADMIN
*------------------------
*/

.sidebar {
  width: 250px;
  height: 100vh;
  background-color: #24353b;
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  z-index: 10;
}

.sidebar__inner {
  display: flex;
  flex-direction: column;
  height: 100vh;
}

.sidebar__header {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 80px;
  padding: 20px 20px 20px;
  box-shadow: 0 1px 2px 0px #000;
}

.sidebar__logo {
  text-align: center;
}

.sidebar__logo-name {
  display: inline-block;
  color: #FF9800;
  font-size: 1.2rem;
  padding: 10px 8px;
  border: solid 1px #ffffff;
}

.sidebar__nav {
  height: calc(100vh - 155px);
}

.dashboard .app-content {
  position: relative;
  width: calc(100% - 250px);
  margin-left: auto;
  min-height: 100vh;
  z-index: 1;
}

.app-header {
  position: fixed;
  width: calc(100% - 250px);
  top: 0;
  right: 0;
  left: 250px;
  z-index: 100;
}

.app-header__inner {
  display: flex;
  align-items: center;
  width: 100%;
  height: 80px;
  background-color: #fff;
  padding: 15px 20px;
  box-shadow: 0px 2px 3px 0px #191f2569;
  /* transition: all .5s linear; */
}

.dashboard .main {
  padding-top: 90px;
  padding-left: 10px;
  padding-right: 10px;
  min-height: calc(100vh - 40px);
  background-color: #f6f6f6;
}

.dashboard.caissier .main {
  background-color: #fff;
}

.pg-head-title {
  font-size: 1.8rem;
  margin-bottom: 25px;
  padding-top: 10px;
  padding-bottom: 10px;
  line-height: 1.5rem;
}

.pg-head-title::before {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 1px;
  background-color: #b1b1b1;
}

.pg-head-title__sup {
  font-size: 0.8rem;
  position: absolute;
  top: -8px;
  left: 0;
  color: #796047;
}

.icon-menu-hamberger {
  display: inline-block;
  min-width: 20px;
  min-height: 20px;
  background-color: #000;
  -webkit-mask-image: url("./../../../assets/images/svg/icon-menu-hamberger.svg");
  -webkit-mask-size: 20px 20px;
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-position: center;
}

.app-header__right {
  display: flex;
  align-items: center;
  margin-left: auto;
  min-width: 100px;
}

.app-header__right-item {
  margin-left: 10px;
}

.app-header__app-version {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 3px 6px;
  border-radius: 6px;
  border: solid 1px #a3d5fa;
  font-size: 0.675rem;
  color: #94b3b7;
}

.app-header__app-version-label {
  display: inline-block;
  margin-right: 3px;
  font-family: "Exo-Semi-Bold-Italic", sans-serif;
}

.app-header__user-btn {
  background-color: transparent;
  border-radius: 50%;
  width: 30px;
  height: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  border: solid 1px #ddd;
}

.app-header__user-btn > * {
  pointer-events: none;
}

.app-header__user-avatar {
  display: inline-block;
  width: 100%;
  height: 100%;
}

.sidebar__logo-text {
  display: block;
  font-size: 2rem;
  font-family: "OpenSans-Bold", sans-serif;
  text-transform: uppercase;
  color: #ff8f2c;
  padding-left: 25px;
}

.sidebar__nav {
  height: calc(100vh - 155px);
  padding-top: 10px;
}

.sidebar__nav-list-item {
  padding: 0 10px;
}

.sidebar__nav-list-item-link.active {
  background-color: #445e66;
  color: #dadada;
}

.sidebar__nav-list-item-link {
  display: flex;
  align-items: center;
  font-size: 1rem;
  line-height: 1rem !important;
  color: #dadada;
  padding: 0.8rem 0.5rem 0.8rem 1rem;
  border-radius: 4px;
  /* transition: all .3s linear; */
  background-color: transparent;
}

.sidebar__nav-list-item-link:hover {
  background-color: #223135;
}

.sidebar__nav-list-item-link > i[class*="icon-"] {
  margin-right: 8px;
  background-color: #cdd7fe;
}

.sidebar__footer {
  height: 54px;
  margin-top: auto;
  text-align: center;
  padding: 20px 20px 20px;
  background-color: #2d3d41;
  color: #b7bebf;
}

.sidebar__footer .webmaster {
  font-family: "Exo-Bold", sans-serif;
  color: #768e92;
}

.sidebar__btn {
  display: inline-block;
  position: absolute;
  width: 30px;
  height: 30px;
  background-color: #363740;
  box-shadow: 0px 0px 3px 0px #00000073;
  border-radius: 100%;
  bottom: 100px;
  right: -15px;
  overflow: hidden;
  text-align: center;
  line-height: 30px;
  border: none;
  z-index: 999;
}

.sidebar__btn::before {
  content: "";
  position: absolute;
  width: 10px;
  height: 10px;
  border: solid 2px #fff;
  top: calc(50% - 7px);
  left: calc(50% - 7px);
  transform: rotate(45deg);
  border-top-color: transparent;
  border-right-color: transparent;
}

.app-mode-reduce .sidebar__btn::before {
  border-left-color: transparent;
  border-bottom-color: transparent;
  border-top-color: #fff;
  border-right-color: #fff;
}

.app-mode-reduce .sidebar {
  width: 80px;
}
.sidebar__logo-file-min {
  display: none;
}

.app-mode-reduce .sidebar__logo-file-default,
.app-mode-reduce .sidebar__logo-text {
  display: none;
}

.app-mode-reduce .sidebar__logo-file-min {
  display: inline-block;
}

.app-mode-reduce .sidebar__nav-list-item-link-text {
  display: none;
}

.app-mode-reduce .sidebar__nav-list-item-link {
  padding: 1.5rem;
  justify-content: center;
}

.app-mode-reduce .sidebar__nav-list-item-link > i[class*="icon-"] {
  left: 0;
  margin: 0;
}

.app-mode-reduce .sidebar__footer {
  padding: 12px 12px 12px;
}

.app-mode-reduce .sidebar__footer-text {
  display: none;
}

.app-mode-reduce .webmaster-logo {
  display: inline-block;
  width: 30px;
}

.app-mode-reduce .dashboard .app-content {
  width: calc(100% - 80px);
}

.app-mode-reduce .app-header {
  width: calc(100% - 80px);
  left: 80px;
}

@media (max-width: 960px) {
  .sidebar::after {
    content: "";
    position: fixed;
    display: block;
    width: calc(100% - 250px);
    height: 100vh;
    right: 0;
    top: 0;
    background-color: #36374066;
    z-index: 998;
  }

  .app-mode-reduce .sidebar::after {
    display: none;
  }

  .dashboard .app-content {
    width: calc(100% - 80px) !important;
  }

  .header {
    width: calc(100% - 80px) !important;
    left: 80px !important;
  }
}

@media (max-width: 640px) {
  .app-mode-reduce .sidebar {
    width: 0 !important;
  }

  .app-mode-reduce .sidebar__nav {
    display: none;
  }

  .app-mode-reduce .dashboard .app-content,
  .app-mode-reduce .app-header {
    width: 100% !important;
    left: 0 !important;
  }
  .app-mode-reduce .sidebar__header,
  .app-mode-reduce .sidebar__footer {
    display: none;
  }
}

.pg-dashboard {
  padding-top: 30px;
}

.app-footer {
  width: calc(100% - 250px);
  background-color: #ececec;
  height: 35px; /* 54 */
  position: fixed;
  bottom: 0;
  right: 0;
  z-index: 50;
  box-shadow: 0 3px 8px 2px #00000054;
  /* box-shadow: 0 -2px 8px 2px #00000054; */
}

.app-mode-reduce .app-footer {
  /* width: calc(100% - 80px); */
  width:100%;
}

/*
*------------------------
*  APP-MAIN-TEMPLATE
*------------------------
*/
.app-main-template {
  display: flex;
  align-items: flex-start;
  flex-wrap: wrap;
  height: calc(100vh - 140px);
}

.app-main-template__sidebar {
  width: 180px;
  min-width: 180px;
  height: 100%;
  margin-right: 10px;
}

.app-main-template--full .app-main-template__sidebar {
  display: none;
}

.app-main-template__sidebar-list {
  margin-bottom: 20px;
}

.app-main-template__sidebar-list-item-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  background-color: #fff;
  margin-bottom: 8px;
  padding: 12px 8px 12px 8px;
  border-radius: 35px;
  color: #272727;
  box-shadow: 0 2px 3px #ababab;
  transition: 0.3s;
  white-space: nowrap;
  font-size: 0.875rem;
  font-family: "Exo-Semi-Bold", sans-serif;
  position: relative;
}

.app-main-template__sidebar-list-item-btn>i {
  background-color: #fff;
}

.app-main-template__sidebar-list-item-btn:hover {
  background-color: #682d3ad4;
  color: #fff;
}

.app-main-template__sidebar-list-item-btn--primary {
  padding: 12px 8px;
}

.app-main-template__sidebar-inner {
  position: sticky;
  width: 100%;
  top: 0;
}

.app-main-template__sidebar-list-item-btn.active {
  background-color: #8e152f;
  color: #fff;
}

.app-main-template__menu-item {
  margin-bottom: 5px;
}

.app-main-template__menu-item-link {
  display: flex;
  align-items: center;
  width: 100%;
  height: 35px;
  padding: 8px 8px;
  background-color: #f1f0f0;
  color: #24353a;
  border: solid 1px #ebeaea;
}

.app-main-template__menu-item-link.active {
  border-color: #8e152f;
  color: #8e152f;
}

.app-main-template__body {
  display: flex;
  flex-wrap: wrap;
  width: calc(100% - 200px);
  height: 100%;
  background-color: #fff;
  box-shadow: 0 2px 3px #ababab;
  border-radius: 5px;
  margin-left: auto;
}
.app-main-template__body--no-flex {
  display: block;
}

.app-main-template--full .app-main-template__body {
  width: 100%;
  max-width: 100%;
}

.app-main-template__title {
  width: 100%;
  height: max-content;
  text-align: center;
  line-height: 2rem;
}

.app-main-template__body-inner {
  padding: 10px;
  display: flex;
  align-items: flex-start;
  gap: 15px;
}

/*
*------------------------
*  LOGIN-ADMIN
*------------------------
*/
.pg-login-admin {
  padding: 10px;
  background-image: url("./../../../assets/images/home-banner-bg.jpeg");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: bottom center;
  background-color: #f9fdfe;
}

.pg-login-admin__inner {
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: 100vh;
  position: relative;
}

.pg-login-admin__content {
  max-width: 320px;
  width: 100%;
  padding: 10px 12px;
  border: solid 1px #ddd;
  background-color: #fff;
  border-radius: 4px;
}

.pg-login-admin__title {
  font-size: 1.5rem;
  text-align: center;
}

/*
-----------------------
* cpn-table
-----------------------
*/

.cpn-wrap-table {
  border: solid 1px #d7dcde;
  box-sizing: border-box;
  border-radius: 5px 5px 0px 0px;
  overflow-x: auto;
  overflow-y: hidden;
}

.cpn-table {
  margin-bottom: 0;
  width: 100%;
  font-size: 0.8rem;
  line-height: 1.3rem;
}

.cpn-table th {
  padding: 20px 20px 20px 10px;
}

.cpn-table tr td {
  padding: 10px 20px 10px 10px;
  line-height: 1rem;
}

.cpn-table-wrap__head {
  margin-bottom: 10px;
}

.cpn-table thead tr {
  border-bottom: solid 1px #d7dcde;
  background-color: #eeeeee;
}

.cpn-table thead tr th {
  padding: 12px 20px 12px 10px;
  text-align: left;
  line-height: 0.9rem;
}

.cpn-table thead th {
  cursor: pointer;
}

.cpn-table.cpn-table--top tbody tr td {
  vertical-align: top;
}

.cpn-table tbody tr:nth-child(even) {
  background-color: #f9f9f9;
}

.cpn-table thead th.cpn-table__date {
  min-width: 120px;
}

.cpn-table thead th.cpn-table__name {
  min-width: 250px;
}

.cpn-table thead th.cpn-table__num {
  min-width: 90px;
}

.cpn-table thead th.cpn-table__actions {
  min-width: 120px;
}

.cpn-table__row--center {
  text-align: center;
}

.cpn-table__actions-btns {
  display: flex;
  align-items: center;
  justify-content: flex-end;
}

.cpn-table__actions-btns--row {
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-pack: start;
  -ms-flex-pack: start;
  justify-content: flex-start;
}

.cpn-table__actions-item,
.cpn-table__actions-btn {
  margin: 5px;
  background-color: transparent;
  padding: 2px;
  font-size: 0.7rem;
  color: #8f8888;
}

.cpn-table__actions-btns--row .cpn-table__actions-item {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
}
.cpn-table__actions-btns--row .cpn-table__actions-item > i {
  margin-left: 8px;
}

.cpn-table__actions-item:hover {
  border-color: #ffc107;
}

.cpn-table__actions-item:hover > i {
  background-color: #ffc107;
}

.cpn-table__actions--right {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: start;
  -ms-flex-pack: start;
  justify-content: flex-start;
}

.cpn-table__total {
  background-color: #ffefef;
}

.cpn-table__total-label {
  font-size: 1.3rem;
  font-family: "Exo-Semi-Bold", sans-serif;
  color: #1b235a;
}

.cpn-table__total-value {
  font-size: 1rem;
  font-family: "Exo-Semi-Bold", sans-serif;
}

/**
*
*/
[data-order="treatment"] input[type="number"] {
  width: 80px;
  height: 28px;
  padding: 0.4rem;
  font-size: 0.85rem;
  margin: 0;
}

[data-order="treatment"] select {
  width: 100px;
  height: 28px;
  padding: 0.4rem;
  font-size: 0.85rem;
  margin: 0;
}

/**
*
*/
.cpn-cell-list__item {
  padding: 0.3rem 0;
}
.cpn-cell-list__item-btn {
  width: 100%;
  max-width: 120px;
  padding: 0.2rem 0.3rem;
  border-radius: 4px;
  border: solid 1px #90ace1;
  justify-content: space-between;
  font-size: 0.85rem;
  color: #90ace1;
}

/**
*
*/
.modal-treat-order__total {
  background-color: #f1f1ff;
  border: solid 1px #f1f1ff;
  padding: 1rem 0.5rem;
  display: flex;
  align-items: center;
  justify-content: flex-end;
}

.modal-treat-order__total-label {
  font-size: 1rem;
  font-family: "Roboto-Bold", sans-serif;
}

.modal-treat-order__total-value {
  display: inline-block;
  min-width: 80px;
  text-align: right;
  font-size: 1.1rem;
  color: #778c95;
  font-family: "Exo-Bold", sans-serif;
  padding-left: 10px;
}

.modal-treat-order__footer-actions {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0.6rem 1rem;
}

.modal-treat-order__footer-actions > button[name="submit"] {
  padding: 0.55rem 1.5rem;
  border-radius: 4px;
  color: #fff;
  background-color: #0058ffde;
  font-size: 1rem;
  justify-content: center;
  min-width: 130px;
}

.modal-finished-order__total-sum {
  text-align: center;
  font-size: 1.2rem;
  margin-bottom: 35px;
}

.modal-finished-order__total-sum-value {
  font-size: 1.5rem;
  color: #5a6b8ade;
}

.modal-finished-order__rest {
  font-size: 0.8rem;
  color: #0582a8;
}

.modal-finished-order__rest-value {
  font-family: "Roboto-Bold", sans-serif;
}

.modal-finished-order__net-payable {
  max-width: 300px;
  min-height: 80px;
  padding: 8px 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 6px auto;
  background-color: #e4f5f9;
  border-radius: 4px;
  font-size: 0.8rem;
}
.modal-finished-order__net-payable-value {
  font-size: 1.5rem;
  padding: 0 8px;
}

@page {
  size: auto;
  margin: 0;
}

@print {
  @page :footer {
    display: none;
  }

  @page :header {
    display: none;
  }
}

@media print {
  @page {
    margin-top: 0;
    margin-bottom: 0;
  }
  body {
    padding-top: 72px;
    padding-bottom: 72px;
  }
}

.finance-wallet__balance {
  width: 50%;
  height: 50px;
  padding: 8px 10px;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  font-size: 1.3rem;
  color: #fff;
}

.finance-wallet__balance-value {
  padding: 0 8px;
  color: #cdd7fe;
}

.finance-wallet__balance .icon-wallet {
  min-width: 2.2rem;
  min-height: 2.2rem;
  background-color: #def6fe;
  -webkit-mask-size: 2.2rem 2.2rem;
  margin-right: 8px;
}

@keyframes blink {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 0;
  }
}

.cpn-counter {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 25px;
  height: 25px;
  min-width: 25px;
  min-height: 25px;
  border-radius: 50%;
  background-color: #24353a;
  color: #fff;
  font-size: 0.7rem;
  position: absolute;
  right: 5px;
  top: calc(50% - 12.5px);
}

.cpn-counter.cpn-counter--activated {
  background-color: #ff0000;
  color: #fff;
  animation: blink 1s infinite;
}

.app-mode-reduce .cpn-counter {
  right: -6px;
  top: -8px;
}

.cpn-x--set [data-name="amount-col"] {
  display: none;
}
.cpn-x--set [data-name="payment-mode-col"] {
  width: 100%;
}

/*
*------------------------
*  APP-HOME
*------------------------
*/
.app-home {
  height: calc(100vh - 225px);
  background-color: #eff6f7;
  border-radius: 4px;
  display: flex;
  align-items: center;
  justify-content: center;
}

/*
*------------------------
*  Caissiers
*------------------------
*/

.caissier-page--init {
  height: calc(100vh - 225px);
  background-color: #eff6f7;
  border-radius: 4px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.caissiers-box-init__title > strong {
  color: #8e152f;
}

.caissiers .app-footer {
  display: block;
  background: #1d282b;
  box-shadow: 0 -2px 8px 2px #00000054;
}

.app-footer__inner {
  height: 100%;
}

.subsidiary-wallet {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  padding: 0 10px;
}

.subsidiary-wallet .icon-wallet {
  min-width: 2.2rem;
  min-height: 2.2rem;
  background-color: #def6fe;
  -webkit-mask-size: 2.2rem 2.2rem;
  margin-right: 8px;
}

.subsidiary-wallet--opened .icon-wallet {
  background-color: #009688;
}

.subsidiary-wallet--closed .icon-wallet {
  background-color: #ff3a3a;
}

.subsidiary-wallet__btn {
  position: relative;
  z-index: 5;
}

.walletPopPup {
  position: absolute;
  display: flex;
  width: 180px;
  min-height: 120px;
  visibility: hidden;
  border: solid 2px #1d282b;
  bottom: -170px;
  border-radius: 8px 8px 0 0;
  overflow: hidden;
  background-color: #fff;
  transition: all 0.3s linear;
  overflow: hidden;
  z-index: 1;
}

.walletPopPup.walletPopPup--open {
  visibility: visible;
  bottom: 100%;
}

.walletPopPup__inner {
  width: 100%;
  /* height: 100%; */
  display: flex;
  flex-direction: column;
}

.walletPopPup__head {
  height: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #1d282b;
  border-radius: 4px 4px 0 0;
  color: #fff;
}

.walletPopPup__row {
  display: flex;
  align-items: center;
  width: 100%;
  border-bottom: solid 1px #ddd;
}

.walletPopPup__row-label {
  display: flex;
  align-items: center;
  font-size: 0.8rem;
  color: #1d282b;
  width: 70px;
  padding: 6px;
  border-right: solid 1px #ddd;
}

.walletPopPup__row-value {
  padding: 6px;
  font-family: "Exo-Semi-Bold", sans-serif;
}

.walletPopPup__footer {
  display: none;
  align-items: center;
  justify-content: center;
  margin-top: auto;
  padding: 8px;
}

.walletPopPup.walletPopPup--open .walletPopPup__footer {
  display: flex;
}

.walletPopPup__btn {
  border-radius: 20px;
  font-size: 0.75rem;
  padding: 8px 16px;
}

/*
*------------------------
*  Caissiers-> Sales
*------------------------
*/
.sale-section__mode-list {
  display: flex;
  align-items: center;
  z-index: 1;
}

.sale-section_mode-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 8px;
  width: 100px;
  height: 40px;
  border-radius: 8px 8px 0 0;
  background-color: #e0e0e0;
  margin: 5px 5px 0;
}

.sale-section_mode-btn.selected {
  background-color: #8e152f;
}

.sale-section_mode-btn.selected > i {
  background-color: #fff;
}

.sale-section_mode-btn > i {
  min-width: 30px;
  min-height: 30px;
  -webkit-mask-size: 30px 30px;
}

.pg-sales__inner {
  padding: 10px 10px;
  width: 100%;
  overflow: hidden;
}

.sale-section__head {
  max-width: 500px;
  margin: 0 auto 10px;
  z-index: 10;
}

.sale-section__control {
  min-height: 90px;
  border: solid 2px #24353a;
  border-radius: 8px;
  padding: 10px;
  box-shadow: 0 0 14px 0px #00000052;
  z-index: 2;
}

.sale-section__label {
  margin-left: 15px;
  color: #aeaeae;
}

.sale-section__field {
  border: solid 2px #24353a;
  border-radius: 8px;
  height: 40px;
}

.sale-section__field::placeholder {
  color: #d3d3d3;
}

.sale-section__field::-webkit-inner-spin-button {
  display: none;
}

/* Chrome, Safari, Edge, Opera */
.view-cart-control__table input::-webkit-outer-spin-button,
.view-cart-control__table input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
.view-cart-control__table input[type="number"] {
  -moz-appearance: textfield;
}

.sale-section__control-box {
  width: calc(100% - 330px);
  padding-top: 5px;
}

.sale-section__submit-btn {
  width: 120px;
  height: 40px;
}

[data-id="fieldBox"] {
  width: 330px;
  z-index: 10;
}

@media(max-width:820px) {
  [data-id="fieldBox"] {
    width: 100%;
    margin-bottom: 5px;
  }

  .sale-section__control-box {
    width: 140px;
    padding-top: 0;
  }

  .config-invoice__subsidiary-checkbox-row {
    position: absolute;
    right: 3px;
    top: 75px;
    z-index: 6;
  }
}

.view-cart-control__table {
  width: 100%;
  font-size: 0.78rem;
}

.view-cart-control__table-row-actions {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}

.view-cart-control__table-row-actions button[data-action="open-menu"] {
  margin-left: auto;
}

.view-cart-control__priceBox-default-price {
  display: block;
  text-align: center;
  margin-bottom: 5px;
  color: #aeaea6;
  position: relative;
}

.view-cart-control__priceBox-default-price::before {
  content: '';
  position: absolute;
  display: inline-block;
  width: calc(100% + 10px);
  height: 1px;
  background-color: #aeaea6;
  left: -5px;
  top: calc(50% - 0.5px);
  transform: rotate(356deg);
}

.sale-section__cart-content {
  display: flex;
  width: 100%;
  padding: 10px 10px 10px;
  max-height: calc(100vh - 503px);
  overflow-x: auto;
  overflow-y: auto;
}

.view-cart-control__table > thead {
  background-color: #dbe0f4;
  box-shadow: 0px 2px 6px 1px #00000054;
  position: sticky;
  top: -10.5px;
  z-index: 5;
}

.view-cart-control__table > thead tr th {
  color: #414141;
  font-size: 0.78rem;
}

.view-cart-control__table tr th,
.view-cart-control__table tr td {
  padding: 8px 8px 8px;
  border: solid 1px #424040;
  text-align: center;
  height: 30px;
}

.view-cart-control__table > thead tr > th:nth-child(2),
.view-cart-control__table > tbody tr > td:nth-child(2) {
  text-align: left;
}

.view-cart-control__table > tbody {
  z-index: 2;
}

.view-cart-control__table > tbody tr > td input[name="qty"] {
  width: 60px;
  max-width: 80px;
  text-align: center;
  border: solid 1px #ddd;
  margin: auto;
}

.sale-section__cart-total {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  padding: 8px 12px;
  font-size: 1rem;
  margin: 0 10px;
  background-color: #f0f0f0;
}

.sale-section--empty-cart .sale-section__cart-total {
  display: none;
}

.sale-section__cart-total-label {
  font-size: 1.3rem;
  padding: 5px;
}

.sale-section__cart-total-value {
  display: block;
  width: 155px;
  padding: 5px;
}

.sale-section__footer {
  display: flex;
  align-items: center;
  justify-content: center;
}

.sale-section--empty-cart .sale-section__footer {
  display: none;
}

.sale-section__action-btn {
  padding: 10px 15px;
  border-radius: 4px;
  margin: 0 6px 5px;
}

.sale-section__action-btn[data-action="submit"] {
  width: 200px;
}

.change-qties-of-pred-table input[type="number"]{
  max-width: 80px;
}

.change-qties-of-pred-table__row-actions [data-action="remove-product"]{
  border: none;
  padding: 0;
  min-width: auto;
}

.config-invoice {
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: #fff;
  left: -100%;
  top: 0;
  transition: all 0.3s linear;
}

.config-invoice--open {
  left: 0;
}

.config-invoice {
  padding: 15px;
}

.config-invoice__inner {
  max-width: 600px;
  max-height: calc(100vh - 218px);
  overflow: auto;
  margin: 0 auto;
  padding: 10px 10px;
}

.config-invoice__inner::-webkit-scrollbar {
  width: 4px;
  height: 4px;
}
.config-invoice__inner::-webkit-scrollbar-thumb {
  width: 30%;
  height: 4px;
  background-color: #a8aab1 !important;
  outline: none;
  border-radius: 6px;
}
.config-invoice__inner::-webkit-scrollbar-track {
  background-color: transparent;
}
.config-invoice__inner::-webkit-scrollbar-track-piece {
  width: 4px;
  background-color: #c6cada !important;
  border-radius: 5px;
  box-shadow: none;
  border: none;
}


.config-invoice__title {
  font-size: 1.3rem;
  line-height: 1.3rem;
  text-align: center;
  padding-bottom: 5px;
  margin-bottom: 20px;
  border-bottom: solid 1px #ddd;
}

.config-invoice__payment-row {
  margin-bottom: 20px;
}

.config-invoice__payment-row-label {
  margin-bottom: 5px;
}

.config-invoice__reduce {
  display: flex;
  align-items: center;
  margin-bottom: 10px;
}

.config-invoice__reduce .cpn-form__row,
.config-invoice__reduce input[type="checkbox"] + .cpn-form__label {
  margin-bottom: 0;
}

.config-invoice__reduce-checkbox-row {
  /* height: 36px; */
  margin-right: 10px;
  /* padding-top: 15px; */
}

.config-invoice__reduce-box {
  width: 100%;
}
.config-invoice__reduce-box
.cpn-form__label {
  margin-bottom: 0;
}

.config-invoice__reduce-checkbox-row input[type="checkbox"] + label::before {
  top: calc(50% - 9px);
}

.config-invoice__reduce-checkbox-row input[type="checkbox"] + label::after {
  top: calc(50% - 6px);
}

.config-invoice__action-btn {
  padding: 12px 15px;
  margin: 5px 8px;
  border-radius: 6px;
}

.config-invoice__actions {
  display: flex;
  align-items: center;
  justify-content: center;
}

.config-invoice__action-btn[data-action="submit"] {
  width: 200px;
}

.barcode-original {
  width: 300px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: auto;
}

.barcode-config-box__title {
  font-size: 0.85rem;
  color: #5e5445;
  font-family: "Exo-Semi-Bold", sans-serif;
}

.barcode-config-box__title-secondary {
  font-size: 0.85rem;
  color: #413522;
  font-family: "Exo-Semi-Bold", sans-serif;
  margin-bottom: 20px;
}

.close-form-btn {
  display: flex;
  margin-left: auto;
  margin-bottom: 15px;
  color: #8e6472;
  font-size: 0.7rem;
}

.close-form-btn:hover {
  color: red;
}

.barcode-config-box__row {
  padding-bottom: 2px;
  border-bottom: solid 1px #ddd;
}

.barcode-config-box__row input[type="radio"] + label {
  padding-left: 25px;
  color: #8f8585;
}

.barcode-config-box__row input[type="radio"]:checked + label {
  color: #1b6afc;
}

.config-invoice__bottom {
  padding: 8px 10px;
}

.config-invoice__bottom-row {
  padding: 5px 0;
  border-bottom: solid 1px #e2dede;
  margin-bottom: 8px;
  display: flex;
  align-items: center;
}

.config-invoice__bottom-row-label {
  display: inline-block;
  width: 120px;
  font-size: 1rem;
  font-family: "Exo-Semi-Bold", sans-serif;
}

.config-invoice__bottom-row-value {
  font-size: 1.1rem;
  color: #7e969d;
}

.barcode-config-box__list-box {
  padding-top: 5px;
  border-top: solid 1px #30312f;
}

.barcode-config-box__list-box-head {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  margin-bottom: 5px;
}

.barcode-config-box__control-box {
  padding-top: 15px;
  margin-bottom: 10px;
  text-align: center;
}

.barcode-config-box__control-box-btn {
  color: #2196F3;
}

.selected-client {
  padding-left: 10px;
  color: #2196F3; 
  font-size: 0.8rem;
}

.selected-client.selected-client--finded {
  color: #009688;
  font-size: 0.9rem;
  font-family: "Exo-Bold", sans-serif;
}

.config-invoice__remainder {
  padding: 0px;
  background-color: #90adcf;
  width: fit-content;
  margin-left: 3px;
  color: #302828;
}

.config-invoice__remainder.config-invoice__remainder--active {
  padding: 5px;
}

.recovery-infos {
  margin-bottom: 25px;
}

.recovery-infos__row {
  margin-bottom: 10px;
  font-size: 0.9rem;
}

.recovery-infos__row--center {
  text-align: center;
}

.recovery-infos__row-content {
  font-size: 1.2rem;
  color: #1f4663;
  font-family: "Exo-Medium", sans-serif;
}


.config-invoice__subsidiary-checkbox-row {
  z-index: 4;
}

.config-invoice__afected-client {
  z-index: 160 !important;
}

.config-invoice__client-box {
  margin-left: auto;
  line-height: 0.5rem;
  display: flex;
  align-items: center;
  justify-content: center;
}

.config-invoice__client-label {
  margin-bottom: 0;
  width: fit-content;
}

.config-invoice__client-value {
  padding-left: 8px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}

[data-name="card-selected-client"] {
  color: #2196F3;
}
.config-invoice__client-value[data-action="remove-selected-client-elem"],
.--with-selected-client  .config-invoice__client-value[data-action="open-change-client"] {
  display: none;
}

.--with-selected-client .config-invoice__client-value[data-action="remove-selected-client-elem"] {
  display: flex;
}

.config-invoice__client-value[data-action="remove-selected-client-elem"] .icon-close {
  min-width: 14px;
  min-height: 14px;
  background-color: #f1180d;
  -webkit-mask-size: 14px 14px;
  margin-left: 2px;
  margin-top: 3px;
}

.config-invoice__client-value:hover {
  color: #0e53d5;
}

.config-invoice__client-value:hover>i {
  background-color: #0e53d5;
}

.modal-change-sale-client__switch-box {
  display: flex;
  align-items: center;
  margin-bottom: 10px;
}


.modal-change-sale-client__switch-item {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 50px;
  height: 35px;
  padding: 5px;
  border-radius: 3px;
  border: solid 1px #ddd;
  cursor: pointer;
}

.modal-change-sale-client__switch-item:not(:first-child) {
  margin-left: 6px;
}

.modal-change-sale-client__switch-item.active {
  border-color: #0e53d5;
}

.modal-change-sale-client__switch-item.active>i {
  background-color: #0e53d5;
}

.modal-change-sale-client__body-item {
  display: none;
}

.modal-change-sale-client__body-item.active {
  display: block;
}



/*
*------------------------
*  Managers-> Stock
*------------------------
*/
.pg-auto {
  overflow: auto;
}

.cpn-primary-card--fixed::-webkit-scrollbar {
  width: 4px;
  height: 4px;
}
.cpn-primary-card--fixed::-webkit-scrollbar-thumb {
  width: 30%;
  height: 4px;
  background-color: #a8aab1 !important;
  outline: none;
  border-radius: 6px;
}
.cpn-primary-card--fixed::-webkit-scrollbar-track {
  background-color: transparent;
}
.cpn-primary-card--fixed::-webkit-scrollbar-track-piece {
  width: 4px;
  background-color: #c6cada !important;
  border-radius: 5px;
  box-shadow: none;
  border: none;
}

.cpn-primary-card--fixed .ui-pagination__header {
  position: sticky;
  top: 0;
}

@keyframes alert {
  0% {
    transform: translate(-50%, -50%) scale(1.2);
    opacity: 0;
  }
  100% {
    transform: translate(-50%, -50%) scale(1.1);
    opacity: 1;
  }
}

.alert {
  position: absolute;
  top: 50%;
  right: 0;
  background-color: #8e152f;
  height: 25px;
  width: 25px;
  border-radius: 100%;
  transform: translate(-50%, -50%);
  color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  animation: alert 2.5s infinite;
  font-size: 10px;
}


.cpn-ui-selct .ui-select__label-btn {
  border-width: 2px;
}

/*----Configs----*/
.configs-grp-sections {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.configs-section {
  width: calc(50% - 10px);
  min-width: 300px;
  margin-bottom: 20px;
}

.configs-section--full {
  width: 100%;
}

.configs-section__title {
  font-size: 0.875rem;
  line-height: 0.875rem;
  font-family: "Exo-Bold", sans-serif;
  color: #105992;
  padding: 0 0 3px 0;
  border-bottom: solid 1px #105992;
}

.configs-section__body {
  padding: 8px 8px;
  background-color: #f4f4f4;
}

@media(max-width: 670px) {
  .configs-section {
    width: 100%;
  }
}


/*
*-------------------------------
*  Managers-> Stock - write_off
*-------------------------------
*/
.form-section-products__head,
.form-section-products__list-Row {
  display: flex;
  flex-wrap: wrap;
}

.form-section-products__head {
  border-bottom: solid 1px #dedede;
}

.form-section-products-list {
  margin-bottom: 10px;
}

.form-section-products__list {
  margin-bottom: 10px;
  min-height: 200px;
  max-height: 260px;
  overflow-y: auto;
  box-shadow: 1px 1px 2px 2px #ebe7e7c9;
}

.form-section-products__list::-webkit-scrollbar {
  width: 3px;
  height: 3px;
}
.form-section-products__list::-webkit-scrollbar-thumb {
  width: 30%;
  height: 3px;
  background-color: #a8aab1 !important;
  outline: none;
  border-radius: 3px;
}
.form-section-products__list::-webkit-scrollbar-track {
  background-color: transparent;
}
.form-section-products__list::-webkit-scrollbar-track-piece {
  width: 3px;
  background-color: #c6cada !important;
  border-radius: 3px;
  box-shadow: none;
  border: none;
}

.form-section-products__list-Row {
  padding: 5px 0px;
  border-bottom: solid 1px #dedede;
}

.form-section-products__list-Row-item[data-id="expiration-date-control"] {
  padding-top: 8px;
}

.form-section-products__list-Row-item[data-id="expiration-date-control"] input[type="checkbox"] + label::before {
  width: 10px;
  height: 10px;
  border-radius: 3px;
  border: solid 1px #575757;
}

.form-section-products__list-Row-item[data-id="expiration-date-control"] input[type="checkbox"] + label.cpn-form__label {
  font-size: 0.75rem;
  min-height: 12px;
}

.form-section-products__list-Row-item[data-id="expiration-date-control"] input[type="checkbox"]:checked + label::after {
  width: 3px;
  height: 5px;
  left: 4px;
  top: 2px;
}

[data-id="expiration-date-control"] {
  display: flex;
  align-items: flex-start;
}

.form-section-products__list-Row-item-expirationDateBox {
  padding-left: 8px;
  min-width: 145px;
}

.form-section-products__head .cpn-form__label:first-child,
.form-section-products__list-Row .form-section-products__list-Row-item:first-child {
  width: calc(100% - 130px);
  z-index: 10;
}

.form-section-products__head .cpn-form__label:nth-child(2),
.form-section-products__list-Row .form-section-products__list-Row-item:nth-child(2) {
  width:  90px ;
  margin-left: 10px;
}

.form-section-products__list-Row input::-webkit-inner-spin-button {
  display: none;
}

.form-section-products__list-Row .cpn-btn {
  min-width: 20px;
  width: 20px;
  margin: 0 0 0 10px;
  padding: 0;
  border: none;
}

.form-section-products-list__row-plus-btn {
  margin: 0 0 15px 0!important;
  min-width: 60px !important;
  padding: 5px 8px !important;
  background-color: #2d41b2;
}

.form-section-products-list__row-plus-btn>i {
  background-color: #fff;
}

.form-section-products__list-Row .icon-delete {
  min-width: 17px;
  min-height: 17px;
  -webkit-mask-size: 17px 17px;
  background-color: #f62525df;
}

.modal-add-new-writeOff .cpn-ui-selct .ui-select__label-btn {
  border-width: 1px !important;
}


.inventory-box {
  padding: 20px 20px;
}

.inventory-box__head {
  text-align: center;
  margin-bottom: 10px;
}

.inventory-box__head-title {
  font-family: "Exo-Semi-Bold-Italic", sans-serif;
  font-size: 2.2rem;
  line-height: 2.2rem;
  text-align: center;
  color: #24353a;
}

.inventory-box__label {
  font-family: "Exo-Semi-Bold-Italic", sans-serif;
  font-size: 1.2rem;
  line-height: 1.2rem;
  text-align: center;
  color: #1d4551;
}

.inventory-box__categories-list {
  display: flex;
  flex-wrap: wrap;
  flex-basis: 0;
  transition: all .3s linear;
  padding-top: 10px;
  max-height: calc(100vh - 375px);
  overflow-x: auto;
}

.inventory-box__categories-list::-webkit-scrollbar {
  width: 4px;
  height: 4px;
}
.inventory-box__categories-list::-webkit-scrollbar-thumb {
  width: 30%;
  height: 4px;
  background-color: #a8aab1 !important;
  outline: none;
  border-radius: 6px;
}
.inventory-box__categories-list::-webkit-scrollbar-track {
  background-color: transparent;
}
.inventory-box__categories-list::-webkit-scrollbar-track-piece {
  width: 4px;
  background-color: #c6cada !important;
  border-radius: 5px;
  box-shadow: none;
  border: none;
}


.inventory-box.in-process .inventory-box__categories-list {
  height: 0;
  overflow: hidden;
}

.inventory-box__categories-item {
  min-width: 200px;
  flex-basis: 25%;
  padding: 10px;
}

.inventory-box__categories-name {
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  padding: 10px;
  background-color: #ddd;
  border: solid 2px #ddd;
  color: #919191;
  cursor: pointer;
}

.inventory-box__categories-item.active .inventory-box__categories-name{
  background-color: #1b6afc;
  border-color: #0e53d5;
  color: #fff;
}

.inventory-box__categories-item.is-done .inventory-box__categories-name{
  background-color: #00897d;
  border-color: #00897d;
  color: #fff;
}

.inventory-box__categories-name:hover {
  box-shadow: 0 0 2px 2px #0c0c0c38;
}


.inventory-second-step-box__categorie {
  border: solid 1px #0e53d5;
  max-width: 400px;
  padding: 10px 15px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  margin: auto;
  font-family: "Exo-Semi-Bold-Italic", sans-serif;
  font-size: 1.6rem;
  line-height: 1.6rem;
  color: #0e53d5;
  text-align: center;
}

.inventory-second-step-box__categorie.is-done {
  border-color: #00897d;
}

.inventory-second-step-box__categorie-alert {
  display: block;
  width: 100%;
  font-size: 0.75rem;
  color: #00897d;
}

.inventory-second-step-box__products-td-alert {
  text-align: center;
  color: #f44336;
  border: solid 1px #ddd;
}

@media(max-width: 1309px) {
  .inventory-box__categories-item {
    flex-basis: 33.33%;
    min-width: 33.33%;
  }
}

@media(max-width: 960px) {
  .inventory-box__categories-item {
    flex-basis: 50%;
    min-width: 50%;
  }
}

@media(max-width: 740px) {
  .inventory-box__categories-item {
    flex-basis: 100%;
    min-width: 100%;
  }
}

.inventory-second-step-box {
  max-height: calc(100vh - 375px);
  overflow-x: auto;
}

.inventory-second-step-box.open {
  min-height: 200px;
}

.inventory-second-step-box::-webkit-scrollbar {
  width: 4px;
  height: 4px;
}
.inventory-second-step-box::-webkit-scrollbar-thumb {
  width: 30%;
  height: 4px;
  background-color: #a8aab1 !important;
  outline: none;
  border-radius: 6px;
}
.inventory-second-step-box::-webkit-scrollbar-track {
  background-color: transparent;
}
.inventory-second-step-box__products::-webkit-scrollbar-track-piece {
  width: 4px;
  background-color: #c6cada !important;
  border-radius: 5px;
  box-shadow: none;
  border: none;
}

.inventory-second-step-box__products {
  max-width: 100%;
  overflow-y: hidden;
  overflow-x: auto;
  padding: 10px 0 0;
}

.inventory-second-step-box__products::-webkit-scrollbar {
  width: 4px;
  height: 4px;
}
.inventory-second-step-box__products::-webkit-scrollbar-thumb {
  width: 30%;
  height: 4px;
  background-color: #a8aab1 !important;
  outline: none;
  border-radius: 6px;
}
.inventory-second-step-box__products::-webkit-scrollbar-track {
  background-color: transparent;
}
.inventory-second-step-box__products::-webkit-scrollbar-track-piece {
  width: 4px;
  background-color: #c6cada !important;
  border-radius: 5px;
  box-shadow: none;
  border: none;
}


.inventory-second-step-box__products table {
  min-width: 1100px;
}

.inventory-second-step-box__table-col-row {
  height: 25px;
  display: flex;
  align-items: center;
}

.inventory-second-step-box__table-col-row:not(:last-child) {
  border-bottom: solid 1px #c9c5c580;
}

.inventory-second-step-box__table-col-row-child {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 25px;
}


.inventory-second-step-box__table-col-row-child:not(:last-child) {
  border-right: solid 1px #c9c5c580;
}

.inventory-second-step-box__table-col-row-field {
  padding: 5px;
  font-size: 0.75rem;
  color: #90adcf;
}

input.inventory-second-step-box__table-col-row-field {
  width: 80px;
  height: 20px;
  text-align: center;
}

input.inventory-second-step-box__table-col-row-field::-webkit-inner-spin-button {
  display: none;
}

textarea.inventory-second-step-box__table-col-row-field {
  height: 100%;
  resize: horizontal;
}

.inventory-footer {
  border-top: solid 1px #c9c5c580;
}

.inventory-footer-box__inner {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 10px 10px;
}

.inventory-footer-box__btn {
  margin: 5px;
  /*  */
  border: solid 1px #1653d5;
  color: #24353a;
  padding: 10px 10px;
  min-width: 150px;
  height: 40px;
  text-align: center;
  border-radius: 6px;
}

.inventory-footer-box__btn[data-action="save"] {
  background-color: #1653d5;
  color: #fff;
}



/*
*-------------------------------
*  Managers-> Stock - SUPPLIES
*-------------------------------
*/
.supply-box {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  z-index: 30;
  padding: 10px 8px;
}

[data-name="select-control"] {
  width: calc(100% - 140px);
}

.supply-box__head-control {
  display: flex;
  align-items: flex-end;
}
.supply-box__head-control-btn {
  width: 60px;
  height: 35px;
  border: solid 1px #90adcf;
  border-radius: 6px;
  margin-left: 5px;
}

.supply-box__head-control-item[data-name="btns-control"] {
  margin-left: auto;
}

.supply-box__body{
  height: calc(100% - 150px);
}

.supply-box__body-inner {
  height: 100%;
  padding-top: 10px;
}

.supply-box__body-empty {
  display: flex;
  align-items: center;
  flex-direction: column;
  font-size: 0.875rem;
  color: #000;
  height: 100%;
  padding-top: 100px;
}

.supply-box__body-empty .icon-stock {
  min-width: 200px;
  min-height: 200px;
  background-color: #f0f0f0;
  -webkit-mask-size: 200px 200px;
}

.supply-box__body-empty {
  font-family: "Exo-Bold", sans-serif;
  font-size: 1.15rem;
  color: #b7b7b7;
}


.supply-box-list__item {
  display: flex;
  align-items: center;
  border-bottom: solid 1px #f0f0f0;
  padding: 8px 0;
}

.supply-box-list__item-col {
  width: 25%;
}

.supply-box-list__item-col[data-name="product-name"] {
  font-size: 0.875rem;
  font-family: "Exo-Semi-Bold", sans-serif;
  color: #787272;
}

.client-subsidiary-confog-tbody tr {
  font-size: 0.72rem;
}

.client-subsidiary-confog-tbody tr td:not(:first-child) .cpn-table__actions-btns {
  justify-content: center;
}

.client-subsidiary-confog-tbody tr td:first-child {
  font-size: 0.75rem;
  font-family: "Exo-Semi-Bold", sans-serif;
  text-transform: uppercase;
}

.comment_check-wrapper {
  margin-bottom: 8px;
}


/*
*-----------------------------------
*  ADMIN-Dashboard-> Connected user
*-----------------------------------
*/

.connected-user-box {
  max-height: 400px;
  overflow: auto;
}
.connected-user-box::-webkit-scrollbar {
  width: 4px;
  height: 4px;
}

.connected-user-box::-webkit-scrollbar-thumb {
  width: 30%;
  height: 4px;
  background-color: #A8AAB1 !important;
  outline: none;
  border-radius: 6px;
}

.connected-user-box::-webkit-scrollbar-track  {
  background-color: transparent;
}

.connected-user-box::-webkit-scrollbar-track-piece {
  width: 4px;
  background-color: #c6cada !important;
  border-radius: 5px;
  box-shadow: none;
  border: none;
}

.connceted-user-list_item:not(:last-child) {
  border-bottom: solid 1px #f1efef;
}

.connceted-user-list_item{
  display: flex;
  align-items: center;
  gap: 5px;
  padding: 5px 0px ;
}
.connceted-user-list_item a{
  width: 100%;
  display: flex;
  align-items: center;
  display: flex;
  align-items: center;
  gap: 5px;
  padding: 5px 5px 5px 0px;
}
.connceted-user-list_item a:hover{
  background-color: #f9f9f9;
}

.connceted-user-list_item-left {
  width: calc(100% - 50px);
  display: flex;
  align-items: center;
  gap: 5px;
}

.connceted-user-list_item-avatar {
  width: 30px;
  height: 30px;
  background-color: #f1f1f1;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
}
.connceted-user-list_item-infos-name {
  color: #75716a;
  font-size: 0.84rem;
}
.connceted-user-list_item-role {
  font-size: 0.6rem;
  color: #928662;
}

.connceted-user-list_item-right {
  width: 50px;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
}
.connceted-user-list_item-status {
  width: 6px;
  height: 6px;
  border-radius: 50%;
  background-color: #02c301;
}

.connceted-user-list_item-datetime {
  font-size: 0.6rem;
  color: #416079;
} 
.sales_menu_ul{
  display:flex;
  align-items: center;
  gap:5px;
}
.sales_menu_ul li{
  width:300px;
}
.sales_menu_ul li a{
  border-radius: 10px 10px 0px 0px;
}
#search-invoice{
  width:250px;
}

/*statistic*/
.statisticBox{
  width: 100%;
  padding: 40px 0px 50px 0px;
}
.statisticBox__title{
  margin-bottom: 25px;
  border-bottom:1px solid #d7d7d7;
  padding-bottom: 10px;
}
.statisticBox__list{
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(235px, 1fr));
  gap: 25px;
}
.statisticBox__item{
  border-radius:13px;
  box-shadow: 0 2px 3px #ababab2e;
  background-color: #fff;
  overflow: hidden;
}
.statisticBox__item__head{
  padding:10px;
  color:#fff;
  background-color:#9f002b;
  font-size:16px;
  font-weight: bold;
  border-radius:0 0 13px 13px;
}
.statisticBox__item__head.red{
  background-color: #d73713f2;
}
.statisticBox__item__head.green{
  background-color: #2b7803f2;
}
.statisticBox__item__head.yellow{
  background-color: #aba737f2;
}
.statisticBox__item__head.rose{
  background-color: #a32fa5f2;
}
.statisticBox__item__head.blue{
  background-color: #1c13cff2;
}
.statisticBox__item__body{
  padding:10px;
}
.statisticBox__item__body ul li{
  padding:6px 0;
  border-bottom:1px solid #eee;
  display: flex;
  flex-wrap: nowrap;
  align-items: center;
  justify-content: space-between;
}
.statisticBox__item__body ul li small{
  display:block;
}
.statisticBox__item__body ul li small{
  display:block;
}
.statisticBox__item__foot{
  padding:10px;
  text-align: center;
  background-color: #c0c0c017;
  font-size: 14px;
}
.apexcharts-toolbar{
  top: -15px !important;
  right: 10px !important;
}
#statByYear{
  height: min-content;
  padding:4px 10px;
  text-align: center;
  font-weight: bold;
  font-size:1rem;
  border: 2px solid #57a5d8;
  border-radius: 6px;
  color: #57a5d8;
}
.statisticGraph__item{
  margin-top:25px;
  border: 2px solid silver;
  margin: 0 15px;
  border-radius: 6px;
  margin-bottom: 35px;
}
.statisticGraph__item h3{
  padding:5px;
  margin:15px 15px 25px 15px;
  background-color: #eee; 
  border-bottom:1px solid #eee;
}

.displayerSelectedBarcodeStock {
  margin-bottom: 10px;
  z-index: 1;
}

.displayerSelectedBarcodeStock>strong {
  font-size: .70rem;
}

.selectedProdInfosBox {
  font-size: 0.8rem;
  font-family: "Exo-Regular", sans-serif;
  color: #616060;
  margin-bottom: 10px;
}

.selectedProdInfosBox-qty {
  font-size: 1.2rem;
  font-family: "Exo-Semi-Bold", sans-serif;
  color: #1c13cff2;
}

.selectedProdBarceBox {
  font-size: 0.8rem;
  font-family: "Exo-Regular", sans-serif;
  color: #616060;
}

.selectedProdBarceBoxTitle {
  font-size: 0.8rem;
  font-family: "Exo-Regular", sans-serif;
  color: #282828;
  text-decoration: underline;
}

.selectedProdBarceBoxValue {
  font-size: 0.8rem;
  font-family: "Exo-Regular", sans-serif;
  color: #0277ff;
}